Bug 220222 - No support for RFC 4530 entryUUID attribute
No support for RFC 4530 entryUUID attribute
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: 7.3
Assigned To: wibrown@redhat.com
Viktor Ashirov
:
Depends On:
Blocks: 389_1.3.0 512820 690319
  Show dependency treegraph
 
Reported: 2006-12-19 14:40 EST by Victoriano Giralt
Modified: 2017-02-10 07:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victoriano Giralt 2006-12-19 14:40:59 EST
Description of problem:
There is no support RFC 4530 entryUUID.
The nsuniqueid could serve this pourpose if properly aliased.

How reproducible: Always


Steps to Reproduce:
1.Create an entry
2.Retrieve the entry
  
Actual results:
No entryUUID

Expected results:
entryUUID

Additional info:
Comment 1 Rich Megginson 2009-04-09 12:57:22 EDT
This falls under the category of RFC correctness
Comment 2 Victoriano Giralt 2010-11-12 17:09:57 EST
Although nsUniqueId can help, the syntax of the values in that attribute is not the right one according to the schema.
Comment 3 Martin Kosek 2012-01-04 08:47:46 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/137
Comment 9 Steven W. Elling 2017-01-18 14:23:52 EST
Without rfc-4530, FreeIPA cannot be used for vCenter Single Sign-On in VMware versions below vSphere 5.5a.

While FreeIPA can be used with vSphere 5.5a and above, entryUUID is still required for certain functionalities to work.  And, the missing entryUUID my be the cause of problems with other VMware products (vRealize Orchestrator a.k.a. vCenter Orchestrator) integrating with a vCenter Single Sign-On that is backed by FreeIPA but I have not been able to verify it yet.

-----
OpenLDAP schemas supported in VMware vCenter Single Sign-On (2064977) 

https://kb.vmware.com/kb/2064977

Note You need to log in before you can comment on or make changes to this bug.